about summary refs log tree commit homepage
path: root/script
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2023-11-02 09:35:30 +0000
committerEric Wong <e@80x24.org>2023-11-03 06:39:28 +0000
commitd3c55d072839286efb2865fe20f2324a9e595e95 (patch)
treec3a7b450e22a0e9d7e849d53884f6af8af19cee5 /script
parent19f9089343c9e579253db756f2131ee493718ead (diff)
downloadpublic-inbox-d3c55d072839286efb2865fe20f2324a9e595e95.tar.gz
treewide: use ->close to call ProcessIO->CLOSE
This will open the door for us to drop `tie' usage from
ProcessIO completely in favor of OO method dispatch.  While
OO method dispatches (e.g. `$fh->close') are slower than normal
subroutine calls, it hardly matters in this case since process
teardown is a fairly rare operation and we continue to use
`close($fh)' for Maildir writes.
Diffstat (limited to 'script')
-rwxr-xr-xscript/public-inbox-convert4
1 files changed, 2 insertions, 2 deletions
diff --git a/script/public-inbox-convert b/script/public-inbox-convert
index 96f6d2ea..d8186809 100755
--- a/script/public-inbox-convert
+++ b/script/public-inbox-convert
@@ -1,5 +1,5 @@
 #!/usr/bin/perl -w
-# Copyright (C) 2018-2021 all contributors <meta@public-inbox.org>
+# Copyright (C) all contributors <meta@public-inbox.org>
 # License: AGPL-3.0+ <http://www.gnu.org/licenses/agpl-3.0.txt>
 use strict;
 use v5.10.1;
@@ -158,7 +158,7 @@ while (<$rd>) {
         last if $_ eq "done\n";
         print $io $_ or $im->wfail;
 }
-close $rd or die "fast-export: \$?=$? \$!=$!\n";
+$rd->close or die "fast-export: \$?=$? \$!=$!\n";
 $io = undef;
 $v2w->done;
 if (my $old_mm = $old->mm) {